package com.flyfish.framework.utils;

import com.flyfish.framework.domain.base.IUser;
import com.flyfish.framework.domain.po.User;
import org.springframework.security.core.context.SecurityContext;

/**
 * 用户工具
 *
 * @author wangyu
 */
public class UserUtils {

    /**
     * 解压用户
     *
     * @param securityContext 上下文
     * @return 结果
     */
    public static User extractUser(SecurityContext securityContext) {
        return ((IUser) securityContext.getAuthentication().getPrincipal()).toUser();
    }
}
