package com.flyfish.framework.logging.config;

import lombok.RequiredArgsConstructor;

import java.util.HashMap;
import java.util.List;
import java.util.Map;

/**
 * 日志文本注册器
 *
 * @author wangyu
 */
@RequiredArgsConstructor
public class LoggingTextRegistry {

    // 映射
    private final Map<String, String> mapping = new HashMap<>();

    // 自定义处理
    private final List<LoggingTextModifier> modifiers;

    public String text(String code) {
        return mapping.getOrDefault(code, code);
    }
}
