package com.flyfish.framework.beans.enums;

import com.flyfish.framework.enums.NamedEnum;
import lombok.AllArgsConstructor;
import lombok.Getter;

/**
 * rest-bean生成的类型
 * @author wangyu
 */
@Getter
@AllArgsConstructor
public enum RestBeanCandidate implements NamedEnum {

    REPOSITORY("Repository"), SERVICE("Service"), CONTROLLER("Controller");

    private final String name;
}
